Change Aurora's default profile behavior to use channel-specific profiles
Gavin proposed this here:

https://wiki.mozilla.org/User:GavinSharp/Profile-proposal

It was posted and discussed somewhat here:

https://groups.google.com/forum/?fromgroups=&hl=en#!topic/firefox-dev/c2PyBpwWmgw

I think the next step is to assign an engineer to work on this, so logging this bug.